import { Tooltip } from '@mui/material';
import { Folder } from 'lucide-react';
import { Button } from '@mui/material';

import { useLayoutStore } from '@/modules/layout/store';
import { useShallow } from 'zustand/shallow';
import { toast } from 'react-toastify';
type Props = {
  pathname?: string;
};
export const AIEditorLink = (props: Props) => {
  const layoutUser = useLayoutStore(
    useShallow((state) => ({
      user: state.me?.username || '',
    })),
  );
  return (
    <Tooltip title={'打开对应的文件夹'}>
      <Button
        onClick={() => {
          if (!layoutUser.user) {
            toast.error('请先登录');
          }
          let folder = `${layoutUser.user}/resources/${props.pathname}`;
          if (folder.endsWith('/')) {
            folder = folder.slice(0, -1);
          }
          let baseUri = location.origin;
          if (DEV_SERVER) {
            baseUri = 'http://localhost:3005';
          }
          const openUrl = `${baseUri}/root/ai-pages/ai-editor/?folder=${folder}/`;
          window.open(openUrl, '_blank');
        }}>
        <Folder size={16} />
      </Button>
    </Tooltip>
  );
};
